#include "./nSpireLTE/nSpireLTE.hpp"

int main(int argc, char **argv)
{
    KeyManager::Initialize();
	TimeManager::Initialize();
	Debugger::Initialize();

	bool done = false;
	
	int Heure, Minute, Seconde;
	
	MouseManager::SetSensibility( 3 );
	
	Debugger::Log( "Hello Dear Programmer\n" );	
	Debugger::TimerLog( "We will enter the Main Loop\n" );
	Debugger::TimerLog( "and start logging the actions.\n" );	
	
	while (!done)
	{
		KeyManager::Logic();
		MouseManager::Logic();
		
		if (KeyManager::kbCTRL() && KeyManager::kbESC())
		{
			done = true;
			Debugger::TimerLog( "CTRL+ESC pressed : ask for closure\n" );	
		}
		
		if (KeyManager::kb7_Press_Event())
		{
			Debugger::TimerLog( "[7] pressed\n" );
		}
		if (KeyManager::kb8_Press_Event())
		{
			Debugger::TimerLog( "[8] pressed\n" );
		}
		if (KeyManager::kb9_Press_Event())
		{
			Debugger::TimerLog( "[9] pressed\n" );
		}
		
		if (KeyManager::kb7_Release_Event())
		{
			Debugger::TimerLog( "[7] released\n" );
		}
		if (KeyManager::kb8_Release_Event())
		{
			Debugger::TimerLog( "[8] released\n" );
		}
		if (KeyManager::kb9_Release_Event())
		{
			Debugger::TimerLog( "[9] released\n" );
		}
	}

	Debugger::TimerLog( "We quit the Main Loop\n" );
	Debugger::TimerLog( "and will return to the OS.\n" );
	Debugger::Log( "Bye bye, and see you soon\n" );	


    KeyManager::Close();
	TimeManager::Close();
	Debugger::Close();
	
    return 0;
}
